compile-messages.py(1)

NAME
compile-messages.py - Internationalization utility for the Django web framework

SYNOPSIS
compile-messages.py [-l <locale>]

DESCRIPTION
A Django-customised wrapper around gettext's msgfmt command. Generates binary message catalogs (.mo files) from textual translation descriptions (.po files).

The script should be invoked after running make-messages.py, in the same directory from which make-messages.py was invoked.

OPTIONS

-l <locale>
    Compile the message catalogs for a specific locale. If this option is omitted, all message catalogs are (re-)compiled.

SEE ALSO
The man page for msgfmt from the GNU gettext utilities, and the internationalization documentation for Django:

http://www.djangoproject.com/documentation/i18n/

AUTHORS/CREDITS
Originally developed at World Online in Lawrence, Kansas, USA. Refer to the AUTHORS file in the Django distribution for contributors.

LICENSE
New BSD license. For the full license text refer to the LICENSE file in the Django distribution.